package cn.com.qmth.stmms.biz.api.auth.exception;

public class ApiException extends RuntimeException {

    private static final long serialVersionUID = 1808125284186980834L;

    public static final ApiException USER_UNEXIST = new ApiException(401, "用户不存在");

    public static final ApiException USER_PASSWORD_ERROR = new ApiException(401, "用户密码错误");

    public static final ApiException USER_NOT_ADMIN = new ApiException(401, "用户没有管理员权限");

    public static final ApiException EXAM_NOT_ACCESSIBLE = new ApiException(401, "用户没有访问该考试的权限");

    private int code;

    private String message;

    private ApiException(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
